/******************************************************************/
/* filename :       vf_createqgrid.g                              */
/* Description:                                                   */
/*                                                                */
/******************************************************************/

new;
closeall; 
cls;

#include vf_spec.g;
#include pathspec.g;

rndseed 123;

q_mat  = zeros(NumberEqRestr_,nq) | rndn(nvar_-NumberEqRestr_,nq);
q_mat2 = q_mat^2;
q_grid  = q_mat' ./ sqrt(sumc(q_mat2));

qgridpath = workpath $+ "\\" $+ prioname;
save path = ^qgridpath q_grid;

end;
